Name:           mediawriter
Version:        4.1.6
Release:        %mkrel 1
Summary:        Write Fedora Images to Portable Media
Group:          File tools
License:        GPLv2+
URL:            https://github.com/FedoraQt/MediaWriter
Source0:        https://github.com/FedoraQt/MediaWriter/archive/%{version}/MediaWriter-%{version}.tar.gz

Provides:       liveusb-creator = %{version}-%{release}
Obsoletes:      liveusb-creator < 4.1.5

BuildRequires:  qtbase5-devel
BuildRequires:  qtqml5-devel
BuildRequires:  qtquick5-devel
BuildRequires:  qtx11extras5-devel
BuildRequires:  appstream-glib-devel
BuildRequires:  xz-devel

Requires:       qtquickcontrols5 >= 5.3.0
Requires:       polkit
Requires:       udisks2

%description
A tool to write images of Fedora media to portable drives
like flash drives or memory cards.

%prep
%autosetup -p1 -n MediaWriter-%{version}

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%qmake_qt5 PREFIX=%{_prefix} MEDIAWRITER_VERSION=%{version}-%{release} ..
%make_build
popd

%install
%make_install INSTALL_ROOT=%{buildroot} -C %{_target_platform}

%files
%{_bindir}/%{name}
%{_libexecdir}/%{name}/
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png


%changelog
* Sun Oct 04 2020 wally <wally> 4.1.6-1.mga8
+ Revision: 1632169
- new version 4.1.6

* Sat May 02 2020 wally <wally> 4.1.5-1.mga8
+ Revision: 1577872
- add rpm group
- import based on .spec from Fedora

